Implementation of the 'break' markup element. A br HTML element is created.

see

  IRenderable

### Hierarchy

- Break

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Break(spec: ISpecification): Break

- - Defined in lib/renderable/break/index.ts:12

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Break

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/break/index.ts:12

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/break/index.ts:21

  Renders an element

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc